package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussIdCard implements Serializable {

    /** 实名人 */
    public static final String TYPE_CERT = "01";

    /** 结算人 */
    public static final String TYPE_ACCOUNT = "02";

    /** 法人 */
    public static final String TYPE_LEGAL = "03";
    private Integer id;

    private Integer userid;

    private String usertype;

    private String certtype;

    private String certno;

    private String certname;

    private String certstarttime;

    private String certendtime;

    private String certaddress;

    private Date createtime;

    private Date updatetime;

    private String imgpositive;

    private String imgnegative;

    private String virtypeflag;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getUsertype() {
        return usertype;
    }

    public void setUsertype(String usertype) {
        this.usertype = usertype == null ? null : usertype.trim();
    }

    public String getCerttype() {
        return certtype;
    }

    public void setCerttype(String certtype) {
        this.certtype = certtype == null ? null : certtype.trim();
    }

    public String getCertno() {
        return certno;
    }

    public void setCertno(String certno) {
        this.certno = certno == null ? null : certno.trim();
    }

    public String getCertname() {
        return certname;
    }

    public void setCertname(String certname) {
        this.certname = certname == null ? null : certname.trim();
    }

    public String getCertstarttime() {
        return certstarttime;
    }

    public void setCertstarttime(String certstarttime) {
        this.certstarttime = certstarttime == null ? null : certstarttime.trim();
    }

    public String getCertendtime() {
        return certendtime;
    }

    public void setCertendtime(String certendtime) {
        this.certendtime = certendtime == null ? null : certendtime.trim();
    }

    public String getCertaddress() {
        return certaddress;
    }

    public void setCertaddress(String certaddress) {
        this.certaddress = certaddress == null ? null : certaddress.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getImgpositive() {
        return imgpositive;
    }

    public void setImgpositive(String imgpositive) {
        this.imgpositive = imgpositive == null ? null : imgpositive.trim();
    }

    public String getImgnegative() {
        return imgnegative;
    }

    public void setImgnegative(String imgnegative) {
        this.imgnegative = imgnegative == null ? null : imgnegative.trim();
    }

    public String getVirtypeflag() {
        return virtypeflag;
    }

    public void setVirtypeflag(String virtypeflag) {
        this.virtypeflag = virtypeflag == null ? null : virtypeflag.trim();
    }
}